package com.yiqi.system.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yiqi.system.domain.SysDocument;

/**
 * 系统文档Service接口
 *
 * @author xiaohei
 * @date 2023-09-01
 */
public interface ISysDocumentService extends IService<SysDocument> {
    /**
     * 查询系统文档
     *
     * @param id 系统文档主键
     * @return 系统文档
     */
    public SysDocument selectSysDocumentById(Long id);

    /**
     * 查询系统文档列表
     *
     * @param sysDocument 系统文档
     * @return 系统文档集合
     */
    public List<SysDocument> selectSysDocumentList(SysDocument sysDocument);

    /**
     * 新增系统文档
     *
     * @param sysDocument 系统文档
     * @return 结果
     */
    public int insertSysDocument(SysDocument sysDocument);

    /**
     * 修改系统文档
     *
     * @param sysDocument 系统文档
     * @return 结果
     */
    public int updateSysDocument(SysDocument sysDocument);

    /**
     * 批量删除系统文档
     *
     * @param ids 需要删除的系统文档主键集合
     * @return 结果
     */
    public int deleteSysDocumentByIds(Long[] ids);

    /**
     * 删除系统文档信息
     *
     * @param id 系统文档主键
     * @return 结果
     */
    public int deleteSysDocumentById(Long id);



}
